#
# spec file for package translation-update (Version 11.2)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           translation-update
BuildRequires:  gettext
Version:        11.2
Release:        1.2.1
License:        GPLv2+
Group:          System/Base
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source:         translation-update.tar.bz2
Source1:        README
Source2:        COPYING
Source3:        AUTHORS
Source100:      reset-translation-update.sh
Prefix:         /usr
BuildArch:      noarch
Summary:        Translation Updates

%description
This is a set of translation updates that are installed into the
preferred directory, /usr/share/locale-langpack/<locale>/LC_MESSAGES/.

Applications that use gettext correctly can then pick up overridden or
updated translations from this location.



Authors:
--------
    Gary Ekker <gekker@novell.com>

%package -n translation-update-cs
License:        GPLv2+
Summary:        Translation Updates for Czech
Group:          System/Localization
Provides:       locale(translation-update:cs)
Requires:       translation-update

%description -n translation-update-cs
This is a set of translation updates that are installed into the
preferred directory, /usr/share/locale-langpack/<locale>/LC_MESSAGES/.

Applications that use gettext correctly can then pick up overridden or
updated translations from this location.



Authors:
--------
    Gary Ekker <gekker@novell.com>
    Stanislav Brabec <sbrabec@suse.cz>

%package -n translation-update-da
License:        GPLv2+
Summary:        Translation Updates for Danish
Group:          System/Localization
Provides:       locale(translation-update:dea
Requires:       translation-update

%description -n translation-update-da
This is a set of translation updates that are installed into the
preferred directory, /usr/share/locale-langpack/<locale>/LC_MESSAGES/.

Applications that use gettext correctly can then pick up overridden or
updated translations from this location.



Authors:
--------
    Gary Ekker <gekker@novell.com>
    Stanislav Brabec <sbrabec@suse.cz>

%package -n translation-update-de
License:        GPLv2+
Summary:        Translation Updates for German
Group:          System/Localization
Provides:       locale(translation-update:de)
Requires:       translation-update

%description -n translation-update-de
This is a set of translation updates that are installed into the
preferred directory, /usr/share/locale-langpack/<locale>/LC_MESSAGES/.

Applications that use gettext correctly can then pick up overridden or
updated translations from this location.



Authors:
--------
    Gary Ekker <gekker@novell.com>
    Stanislav Brabec <sbrabec@suse.cz>

%package -n translation-update-es
License:        GPLv2+
Summary:        Translation Updates for Spanish
Group:          System/Localization
Provides:       locale(translation-update:es)
Requires:       translation-update

%description -n translation-update-es
This is a set of translation updates that are installed into the
preferred directory, /usr/share/locale-langpack/<locale>/LC_MESSAGES/.

Applications that use gettext correctly can then pick up overridden or
updated translations from this location.



Authors:
--------
    Gary Ekker <gekker@novell.com>
    Stanislav Brabec <sbrabec@suse.cz>

%package -n translation-update-fi
License:        GPLv2+
Summary:        Translation Updates for Finnish
Group:          System/Localization
Provides:       locale(translation-update:fi)
Requires:       translation-update

%description -n translation-update-fi
This is a set of translation updates that are installed into the
preferred directory, /usr/share/locale-langpack/<locale>/LC_MESSAGES/.

Applications that use gettext correctly can then pick up overridden or
updated translations from this location.



Authors:
--------
    Gary Ekker <gekker@novell.com>
    Stanislav Brabec <sbrabec@suse.cz>

%package -n translation-update-fr
License:        GPLv2+
Summary:        Translation Updates for French
Group:          System/Localization
Provides:       locale(translation-update:fr)
Requires:       translation-update

%description -n translation-update-fr
This is a set of translation updates that are installed into the
preferred directory, /usr/share/locale-langpack/<locale>/LC_MESSAGES/.

Applications that use gettext correctly can then pick up overridden or
updated translations from this location.



Authors:
--------
    Gary Ekker <gekker@novell.com>
    Stanislav Brabec <sbrabec@suse.cz>

%package -n translation-update-gl
License:        GPLv2+
Summary:        Translation Updates for Galician
Group:          System/Localization
Provides:       locale(translation-update:gl)
Requires:       translation-update

%description -n translation-update-gl
This is a set of translation updates that are installed into the
preferred directory, /usr/share/locale-langpack/<locale>/LC_MESSAGES/.

Applications that use gettext correctly can then pick up overridden or
updated translations from this location.



Authors:
--------
    Gary Ekker <gekker@novell.com>
    Stanislav Brabec <sbrabec@suse.cz>

%package -n translation-update-hr
License:        GPLv2+
Summary:        Translation Updates for Croatian
Group:          System/Localization
Provides:       locale(translation-update:hr)
Requires:       translation-update

%description -n translation-update-hr
This is a set of translation updates that are installed into the
preferred directory, /usr/share/locale-langpack/<locale>/LC_MESSAGES/.

Applications that use gettext correctly can then pick up overridden or
updated translations from this location.



Authors:
--------
    Gary Ekker <gekker@novell.com>
    Stanislav Brabec <sbrabec@suse.cz>

%package -n translation-update-hu
License:        GPLv2+
Summary:        Translation Updates for Hungarian
Group:          System/Localization
Provides:       locale(translation-update:hu)
Requires:       translation-update

%description -n translation-update-hu
This is a set of translation updates that are installed into the
preferred directory, /usr/share/locale-langpack/<locale>/LC_MESSAGES/.

Applications that use gettext correctly can then pick up overridden or
updated translations from this location.



Authors:
--------
    Gary Ekker <gekker@novell.com>
    Stanislav Brabec <sbrabec@suse.cz>

%package -n translation-update-it
License:        GPLv2+
Summary:        Translation Updates for Italian
Group:          System/Localization
Provides:       locale(translation-update:it)
Requires:       translation-update

%description -n translation-update-it
This is a set of translation updates that are installed into the
preferred directory, /usr/share/locale-langpack/<locale>/LC_MESSAGES/.

Applications that use gettext correctly can then pick up overridden or
updated translations from this location.



Authors:
--------
    Gary Ekker <gekker@novell.com>
    Stanislav Brabec <sbrabec@suse.cz>

%package -n translation-update-ja
License:        GPLv2+
Summary:        Translation Updates for Japanese
Group:          System/I18n/Japanese
Provides:       locale(translation-update:ja)
Requires:       translation-update

%description -n translation-update-ja
This is a set of translation updates that are installed into the
preferred directory, /usr/share/locale-langpack/<locale>/LC_MESSAGES/.

Applications that use gettext correctly can then pick up overridden or
updated translations from this location.



Authors:
--------
    Gary Ekker <gekker@novell.com>
    Stanislav Brabec <sbrabec@suse.cz>

%package -n translation-update-ka
License:        GPLv2+
Summary:        Translation Updates for Georgian
Group:          System/Localization
Provides:       locale(translation-update:ka)
Requires:       translation-update

%description -n translation-update-ka
This is a set of translation updates that are installed into the
preferred directory, /usr/share/locale-langpack/<locale>/LC_MESSAGES/.

Applications that use gettext correctly can then pick up overridden or
updated translations from this location.



Authors:
--------
    Gary Ekker <gekker@novell.com>
    Stanislav Brabec <sbrabec@suse.cz>

%package -n translation-update-km
License:        GPLv2+
Summary:        Translation Updates for Khmer
Group:          System/Localization
Provides:       locale(translation-update:km)
Requires:       translation-update

%description -n translation-update-km
This is a set of translation updates that are installed into the
preferred directory, /usr/share/locale-langpack/<locale>/LC_MESSAGES/.

Applications that use gettext correctly can then pick up overridden or
updated translations from this location.



Authors:
--------
    Gary Ekker <gekker@novell.com>
    Stanislav Brabec <sbrabec@suse.cz>

%package -n translation-update-ko
License:        GPLv2+
Summary:        Translation Updates for Korean
Group:          System/I18n/Korean
Provides:       locale(translation-update:ko)
Requires:       translation-update

%description -n translation-update-ko
This is a set of translation updates that are installed into the
preferred directory, /usr/share/locale-langpack/<locale>/LC_MESSAGES/.

Applications that use gettext correctly can then pick up overridden or
updated translations from this location.



Authors:
--------
    Gary Ekker <gekker@novell.com>
    Stanislav Brabec <sbrabec@suse.cz>

%package -n translation-update-lt
License:        GPLv2+
Summary:        Translation Updates for Lithunian
Group:          System/Localization
Provides:       locale(translation-update:lt)
Requires:       translation-update

%description -n translation-update-lt
This is a set of translation updates that are installed into the
preferred directory, /usr/share/locale-langpack/<locale>/LC_MESSAGES/.

Applications that use gettext correctly can then pick up overridden or
updated translations from this location.



Authors:
--------
    Gary Ekker <gekker@novell.com>
    Stanislav Brabec <sbrabec@suse.cz>

%package -n translation-update-nb
License:        GPLv2+
Summary:        Translation Updates for Norwegian Bokmal
Group:          System/Localization
Provides:       locale(translation-update:nb)
Requires:       translation-update

%description -n translation-update-nb
This is a set of translation updates that are installed into the
preferred directory, /usr/share/locale-langpack/<locale>/LC_MESSAGES/.

Applications that use gettext correctly can then pick up overridden or
updated translations from this location.



Authors:
--------
    Gary Ekker <gekker@novell.com>
    Stanislav Brabec <sbrabec@suse.cz>

%package -n translation-update-nl
License:        GPLv2+
Summary:        Translation Updates for Dutch
Group:          System/Localization
Provides:       locale(translation-update:nl)
Requires:       translation-update

%description -n translation-update-nl
This is a set of translation updates that are installed into the
preferred directory, /usr/share/locale-langpack/<locale>/LC_MESSAGES/.

Applications that use gettext correctly can then pick up overridden or
updated translations from this location.



Authors:
--------
    Gary Ekker <gekker@novell.com>
    Stanislav Brabec <sbrabec@suse.cz>

%package -n translation-update-pa
License:        GPLv2+
Summary:        Translation Updates for Punjabi
Group:          System/Localization
Provides:       locale(translation-update:pa)
Requires:       translation-update

%description -n translation-update-pa
This is a set of translation updates that are installed into the
preferred directory, /usr/share/locale-langpack/<locale>/LC_MESSAGES/.

Applications that use gettext correctly can then pick up overridden or
updated translations from this location.



Authors:
--------
    Gary Ekker <gekker@novell.com>
    Stanislav Brabec <sbrabec@suse.cz>

%package -n translation-update-pl
License:        GPLv2+
Summary:        Translation Updates for Polish
Group:          System/Localization
Provides:       locale(translation-update:pl)
Requires:       translation-update

%description -n translation-update-pl
This is a set of translation updates that are installed into the
preferred directory, /usr/share/locale-langpack/<locale>/LC_MESSAGES/.

Applications that use gettext correctly can then pick up overridden or
updated translations from this location.



Authors:
--------
    Gary Ekker <gekker@novell.com>
    Stanislav Brabec <sbrabec@suse.cz>

%package -n translation-update-pt
License:        GPLv2+
Summary:        Translation Updates for Portuguese
Group:          System/Localization
Provides:       locale(translation-update:pt)
Requires:       translation-update

%description -n translation-update-pt
This is a set of translation updates that are installed into the
preferred directory, /usr/share/locale-langpack/<locale>/LC_MESSAGES/.

Applications that use gettext correctly can then pick up overridden or
updated translations from this location.



Authors:
--------
    Gary Ekker <gekker@novell.com>
    Stanislav Brabec <sbrabec@suse.cz>

%package -n translation-update-ro
License:        GPLv2+
Summary:        Translation Updates for Romanian
Group:          System/Localization
Provides:       locale(translation-update:ro)
Requires:       translation-update

%description -n translation-update-ro
This is a set of translation updates that are installed into the
preferred directory, /usr/share/locale-langpack/<locale>/LC_MESSAGES/.

Applications that use gettext correctly can then pick up overridden or
updated translations from this location.



Authors:
--------
    Gary Ekker <gekker@novell.com>
    Stanislav Brabec <sbrabec@suse.cz>

%package -n translation-update-ru
License:        GPLv2+
Summary:        Translation Updates for Russian
Group:          System/Localization
Provides:       locale(translation-update:ru)
Requires:       translation-update

%description -n translation-update-ru
This is a set of translation updates that are installed into the
preferred directory, /usr/share/locale-langpack/<locale>/LC_MESSAGES/.

Applications that use gettext correctly can then pick up overridden or
updated translations from this location.



Authors:
--------
    Gary Ekker <gekker@novell.com>
    Stanislav Brabec <sbrabec@suse.cz>

%package -n translation-update-sk
License:        GPLv2+
Summary:        Translation Updates for Slovak
Group:          System/Localization
Provides:       locale(translation-update:sk)
Requires:       translation-update

%description -n translation-update-sk
This is a set of translation updates that are installed into the
preferred directory, /usr/share/locale-langpack/<locale>/LC_MESSAGES/.

Applications that use gettext correctly can then pick up overridden or
updated translations from this location.



Authors:
--------
    Gary Ekker <gekker@novell.com>
    Stanislav Brabec <sbrabec@suse.cz>

%package -n translation-update-uk
License:        GPLv2+
Summary:        Translation Updates for Ukrainian
Group:          System/Localization
Provides:       locale(translation-update:uk)
Requires:       translation-update

%description -n translation-update-uk
This is a set of translation updates that are installed into the
preferred directory, /usr/share/locale-langpack/<locale>/LC_MESSAGES/.

Applications that use gettext correctly can then pick up overridden or
updated translations from this location.



Authors:
--------
    Gary Ekker <gekker@novell.com>
    Stanislav Brabec <sbrabec@suse.cz>

%package -n translation-update-wa
License:        GPLv2+
Summary:        Translation Updates for Walloon
Group:          System/Localization
Provides:       locale(translation-update:wa)
Requires:       translation-update

%description -n translation-update-wa
This is a set of translation updates that are installed into the
preferred directory, /usr/share/locale-langpack/<locale>/LC_MESSAGES/.

Applications that use gettext correctly can then pick up overridden or
updated translations from this location.



Authors:
--------
    Gary Ekker <gekker@novell.com>
    Stanislav Brabec <sbrabec@suse.cz>

%package -n translation-update-pt_BR
License:        GPLv2+
Summary:        Translation Updates for Brasilian Portuguese
Group:          System/Localization
Provides:       locale(translation-update:pt_BR)
Requires:       translation-update

%description -n translation-update-pt_BR
This is a set of translation updates that are installed into the
preferred directory, /usr/share/locale-langpack/<locale>/LC_MESSAGES/.

Applications that use gettext correctly can then pick up overridden or
updated translations from this location.



Authors:
--------
    Gary Ekker <gekker@novell.com>
    Stanislav Brabec <sbrabec@suse.cz>

%prep
%setup -n translation-update

%build

%install
for PACKAGE in `ls` ; do
    cd $PACKAGE
    for LANG in `ls` ; do
	cd $LANG
	for PO in `ls *.po` ; do
	    if [ `basename $PO .po` == $LANG ] ; then
		msgfmt -c -o $PACKAGE.mo $PO
	    else
		msgfmt -c -o `basename $PO .$LANG.po`.mo $PO
	    fi
	    if [ -d ${RPM_BUILD_ROOT}%{_datadir}/locale-langpack/$LANG ] ; then
		install -m 644 *.mo ${RPM_BUILD_ROOT}%{_datadir}/locale-langpack/$LANG/LC_MESSAGES 
	    else
		install -d ${RPM_BUILD_ROOT}%{_datadir}/locale-langpack/$LANG/LC_MESSAGES
		install -m 644 *.mo ${RPM_BUILD_ROOT}%{_datadir}/locale-langpack/$LANG/LC_MESSAGES 
	    fi
	done
	cd ..
    done
    cd ..
done
install -d ${RPM_BUILD_ROOT}%{_defaultdocdir}/%{name}
install -m 644 %{S:1} ${RPM_BUILD_ROOT}%{_defaultdocdir}/%{name}
install -m 644 %{S:2} ${RPM_BUILD_ROOT}%{_defaultdocdir}/%{name}
install -m 644 %{S:3} ${RPM_BUILD_ROOT}%{_defaultdocdir}/%{name}
# For empty subpackages
install -m 644 %{S:2} .

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%{_defaultdocdir}/%{name}

%files -n translation-update-cs
%defattr(-,root,root)
#%dir %{_datadir}/locale-langpack
#%{_datadir}/locale-langpack/cs
%doc COPYING

%files -n translation-update-da
%defattr(-,root,root)
#%dir %{_datadir}/locale-langpack
#%{_datadir}/locale-langpack/da
%doc COPYING

%files -n translation-update-de
%defattr(-,root,root)
%dir %{_datadir}/locale-langpack
%{_datadir}/locale-langpack/de
%doc COPYING

%files -n translation-update-es
%defattr(-,root,root)
#%dir %{_datadir}/locale-langpack
#%{_datadir}/locale-langpack/es
%doc COPYING

%files -n translation-update-fi
%defattr(-,root,root)
#%dir %{_datadir}/locale-langpack
#%{_datadir}/locale-langpack/fi
%doc COPYING

%files -n translation-update-fr
%defattr(-,root,root)
#%dir %{_datadir}/locale-langpack
#%{_datadir}/locale-langpack/fr
%doc COPYING

%files -n translation-update-gl
%defattr(-,root,root)
#%dir %{_datadir}/locale-langpack
#%{_datadir}/locale-langpack/gl
%doc COPYING

%files -n translation-update-hr
%defattr(-,root,root)
#%dir %{_datadir}/locale-langpack
#%{_datadir}/locale-langpack/hr
%doc COPYING

%files -n translation-update-hu
%defattr(-,root,root)
%dir %{_datadir}/locale-langpack
%{_datadir}/locale-langpack/hu
%doc COPYING

%files -n translation-update-it
%defattr(-,root,root)
%dir %{_datadir}/locale-langpack
%{_datadir}/locale-langpack/it
%doc COPYING

%files -n translation-update-ja
%defattr(-,root,root)
#%dir %{_datadir}/locale-langpack
#%{_datadir}/locale-langpack/ja
%doc COPYING

%files -n translation-update-ka
%defattr(-,root,root)
#%dir %{_datadir}/locale-langpack
#%{_datadir}/locale-langpack/ka
%doc COPYING

%files -n translation-update-km
%defattr(-,root,root)
#%dir %{_datadir}/locale-langpack
#%{_datadir}/locale-langpack/km
%doc COPYING

%files -n translation-update-ko
%defattr(-,root,root)
#%dir %{_datadir}/locale-langpack
#%{_datadir}/locale-langpack/ko
%doc COPYING

%files -n translation-update-lt
%defattr(-,root,root)
%dir %{_datadir}/locale-langpack
%{_datadir}/locale-langpack/lt
%doc COPYING

%files -n translation-update-nb
%defattr(-,root,root)
#%dir %{_datadir}/locale-langpack
#%{_datadir}/locale-langpack/nb
%doc COPYING

%files -n translation-update-nl
%defattr(-,root,root)
#%dir %{_datadir}/locale-langpack
#%{_datadir}/locale-langpack/nl
%doc COPYING

%files -n translation-update-pa
%defattr(-,root,root)
#%dir %{_datadir}/locale-langpack
#%{_datadir}/locale-langpack/pa
%doc COPYING

%files -n translation-update-pl
%defattr(-,root,root)
%dir %{_datadir}/locale-langpack
%{_datadir}/locale-langpack/pl
%doc COPYING

%files -n translation-update-pt
%defattr(-,root,root)
#%dir %{_datadir}/locale-langpack
#%{_datadir}/locale-langpack/pt
%doc COPYING

%files -n translation-update-ro
%defattr(-,root,root)
#%dir %{_datadir}/locale-langpack
#%{_datadir}/locale-langpack/ro
%doc COPYING

%files -n translation-update-ru
%defattr(-,root,root)
%dir %{_datadir}/locale-langpack
%{_datadir}/locale-langpack/ru
%doc COPYING

%files -n translation-update-sk
%defattr(-,root,root)
#%dir %{_datadir}/locale-langpack
#%{_datadir}/locale-langpack/sk
%doc COPYING

%files -n translation-update-uk
%defattr(-,root,root)
#%dir %{_datadir}/locale-langpack
#%{_datadir}/locale-langpack/uk
%doc COPYING

%files -n translation-update-wa
%defattr(-,root,root)
#%dir %{_datadir}/locale-langpack
#%{_datadir}/locale-langpack/wa
%doc COPYING

%files -n translation-update-pt_BR
%defattr(-,root,root)
%dir %{_datadir}/locale-langpack
%{_datadir}/locale-langpack/pt_BR
%doc COPYING

%changelog
* Tue Jan 12 2010 ke@suse.de
- Add overloading translations for: de, hu, it, lt, pl, pt_BR, and
  ru; bnc#55874.
* Tue Oct 20 2009 ke@suse.de
- Increase version number.
* Mon Mar 16 2009 ke@suse.de
- Reset all translation-update-* packages for 11.2.
- reset-translation-update.sh: New helper script.
* Wed Feb 18 2009 ke@suse.de
- Also add Wallon (wa) trying to fix bnc#438980.
- Add Punjabi (pa).
* Tue Feb 17 2009 ke@suse.de
- General post-GA translation update (bnc#464470).
* Mon Aug 18 2008 ke@suse.de
- Also reset cs and pl (for 11.1); see bnc#404073,
  bnc#399561. bnc#402551, bnc#402885, and bnc#407285.
* Fri Jan 11 2008 ke@suse.de
- Reset translations for openSUSE 11.0; see #353229.
* Fri Jan 11 2008 ke@suse.de
- Update translations: de, es, fi, ja, and pt_BR; #350693.
* Tue Aug 21 2007 ro@suse.de
- completely comment out disabled subpacks
* Fri Aug  3 2007 ke@suse.de
- Add Arabian (ar), African (af, xh, and zu), and Indian (bn, gu, hi, mr,
  and ta) and Polish (pl); #281412 and SWAMPID 11144.
- Remove outdated yast translatations.
* Thu Oct 19 2006 jhargadon@suse.de
- added french translations for yelp and zen-updater for bug
  [#204335]
* Wed Oct  4 2006 jhargadon@suse.de
- initial submission of package
